### Method

# Gio DebugController set_debug_enabled

since: 2.72

#### Declaration

    void
    g_debug_controller_set_debug_enabled (
      GDebugController* self,
      gboolean debug_enabled
    )

#### Description

Set the value of `GDebugController:debug-enabled`.

Available since: 2.72

Sets property | `Gio.DebugController:debug-enabled`

#### Parameters

`debug_enabled`

  Type: `gboolean`

  `TRUE` if debug output should be exposed, `FALSE` otherwise.